#
# spec file for package libsmi (Version 0.2.16)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libsmi
Copyright:    Free
Group:        Development/Libraries
Autoreqprov:  on
Version:      0.2.16
Release:      69
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
URL:          http://www.ibr.cs.tu-bs.de/projects/libsmi/
BuildRoot:    /var/tmp/%{name}-build
Summary:      A library to access SMI MIB information

%description
The purpose of libsmi is to
give network management applications a concise programmer-friendly interface
to access MIB module information,
separate the knowledge on SMI from the main parts of management applications,
allow to add new kinds of MIB repositories without the need to adapt
applications that make use of libsmi.

Authors:
--------
    Frank Strauss <strauss@ibr.cs.tu-bs.de>

SuSE series: n

%define prefix   /usr
%define sysconfdir /etc
%prep
%setup 
%patch

%build
%{suse_update_config}
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --mandir=%{_mandir} \
                                                              --prefix=%{prefix} \
                                                              --infodir=%{_infodir} \
                                                              --sysconfdir=%{sysconfdir} \
                                                              --enable-smi \
                                                              --enable-sming \
		                                              --with-mibdir=/usr/share/mibs
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT/ install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ANNOUNCE COPYING ChangeLog README THANKS TODO doc
%doc %{_mandir}/*/*
/usr/share/mibs
/usr/bin/*
/usr/include/*
/usr/lib/libsmi.*

%changelog -n libsmi
* Wed Jun 06 2001 - cihlar@suse.cz
- fixed to compile with new libtool
* Tue Apr 17 2001 - cihlar@suse.cz
- update to version 0.2.16
* Wed Mar 07 2001 - cihlar@suse.cz
- update to version 0.2.14
* Tue Feb 27 2001 - cihlar@suse.cz
- update to version 0.2.13
- compile with --enable-smi and --enable-sming
* Sun Dec 03 2000 - smid@suse.cz
- new version 0.2.11
* Wed Oct 11 2000 - smid@suse.cz
- new version 0.2.6
* Thu Jun 08 2000 - cihlar@suse.cz
- fixed License tag
- added %%clean
* Fri Apr 21 2000 - smid@suse.cz
- upgrade to 0.2.0
- buildroot added
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Thu Mar 02 2000 - uli@suse.de
- moved man pages to %%{_mandir}
* Mon Oct 25 1999 - uli@suse.de
- update -> 0.1.7
* Mon Sep 27 1999 - uli@suse.de
- new package, version 0.1.6
